Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230593 - 'Range:' in print dialog doesn't work right with open-ended ranges
Summary: 'Range:' in print dialog doesn't work right with open-ended ranges
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-01 17:52 UTC by Tim Waugh
Modified: 2008-02-23 04:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-23 04:32:45 UTC


Attachments (Terms of Use)
patch (deleted)
2007-04-24 20:25 UTC, Matthias Clasen
no flags Details | Diff

Description Tim Waugh 2007-03-01 17:52:44 UTC
Description of problem:
Open-ended ranges (like '29-') don't work right in the print dialog.

Version-Release number of selected component (if applicable):
gtk2-2.10.8-1.fc6

How reproducible:
100%

Steps to Reproduce:
1.In OpenOffice.org or Evince, open a document with more than one page
2.Go to print it
3.In the print dialog, select 'Range:' and type in '1-'.
  
Actual results:
Only one page is printed.

Expected results:
All pages to the end of the document are printed.

Additional info:

Comment 1 Matthias Clasen 2007-04-24 20:22:04 UTC
I've added that feature to upstream trunk now. I'll consider backporting when
the F7 freeze lifts.

Comment 2 Matthias Clasen 2007-04-24 20:25:06 UTC
Created attachment 153380 [details]
patch

Comment 3 Matthias Clasen 2008-02-23 04:32:45 UTC
Not going to backport this. It is working in F8.


Note You need to log in before you can comment on or make changes to this bug.